package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.OrderBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

/**
 * Created by flexible on 2018/8/13.
 */

public class ProSupplierAdapter extends BaseQuickAdapter<OrderBean, BaseViewHolder> {

    public ProSupplierAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, OrderBean item) {
        helper.setText(R.id.tv_name, item.getSupplierName()     );
        helper.setGone(R.id.rl_dep, true);
        helper.setText(R.id.tv_status, item.getStatusName());
        helper.setText(R.id.tv_place_name, item.getLaunchUserName());
        helper.setText(R.id.tv_place_dep, item.getLaunchDeptName());
        helper.setText(R.id.tv_warehouse, item.getInStockName());
        helper.setText(R.id.tv_order_no, item.getId());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_send_time, item.getRequireTime());
        helper.setText(R.id.tv_desc, item.getAttrName());
        helper.setText(R.id.tv_price, MathUtils.converData(item.getOuterOrderAmount(),3));
    }
}

